#ifndef __USART_H__
#define __USART_H__

#include <avr/io.h>
#include <inttypes.h>
#include <stdio.h>

void usart_init(uint16_t baud, uint8_t u2x);

uint8_t usart_has_data(void);

uint8_t usart_read_char(void);

void usart_write_char(uint8_t data);

void usart_write_string(uint8_t str[]);

#endif
