#ifndef __HAUPTCONTROLLER_H__
#define __HAUPTCONTROLLER_H__

#include <avr/io.h>
#include "menu.h"
#include "usart.h"
#include "twi.h"
#include "lcd.h"
#include "editor.h"

/*
    Konstante, mit der die Baud-Rate fuer die 
    USART-Uebertragung festgelegt wird.
*/
#define USART_BAUD 9600

/*
    Konstante, mit der festgelegt wird, dass die interne
    Verdoppelung der USART-Baud-Rate genutzt werden soll. Dies
    fuehrt zu einem niedrigeren Wert im UBRR fuer die gleiche
    Baud-Rate und einer deutlichen Fehler-Verringerung bei der
    Uebertragung (0,2% statt -7,0%).
*/
#define USART_DOUBLE 1

#endif
